#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private TradingRevealed.TRCumulativeDelta[] cacheTRCumulativeDelta;

		
		public TradingRevealed.TRCumulativeDelta TRCumulativeDelta(Brush barColorDown, Brush barColorUp, Brush shadowColor, bool showCandlesShadow)
		{
			return TRCumulativeDelta(Input, barColorDown, barColorUp, shadowColor, showCandlesShadow);
		}


		
		public TradingRevealed.TRCumulativeDelta TRCumulativeDelta(ISeries<double> input, Brush barColorDown, Brush barColorUp, Brush shadowColor, bool showCandlesShadow)
		{
			if (cacheTRCumulativeDelta != null)
				for (int idx = 0; idx < cacheTRCumulativeDelta.Length; idx++)
					if (cacheTRCumulativeDelta[idx].BarColorDown == barColorDown && cacheTRCumulativeDelta[idx].BarColorUp == barColorUp && cacheTRCumulativeDelta[idx].ShadowColor == shadowColor && cacheTRCumulativeDelta[idx].ShowCandlesShadow == showCandlesShadow && cacheTRCumulativeDelta[idx].EqualsInput(input))
						return cacheTRCumulativeDelta[idx];
			return CacheIndicator<TradingRevealed.TRCumulativeDelta>(new TradingRevealed.TRCumulativeDelta(){ BarColorDown = barColorDown, BarColorUp = barColorUp, ShadowColor = shadowColor, ShowCandlesShadow = showCandlesShadow }, input, ref cacheTRCumulativeDelta);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.TradingRevealed.TRCumulativeDelta TRCumulativeDelta(Brush barColorDown, Brush barColorUp, Brush shadowColor, bool showCandlesShadow)
		{
			return indicator.TRCumulativeDelta(Input, barColorDown, barColorUp, shadowColor, showCandlesShadow);
		}


		
		public Indicators.TradingRevealed.TRCumulativeDelta TRCumulativeDelta(ISeries<double> input , Brush barColorDown, Brush barColorUp, Brush shadowColor, bool showCandlesShadow)
		{
			return indicator.TRCumulativeDelta(input, barColorDown, barColorUp, shadowColor, showCandlesShadow);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.TradingRevealed.TRCumulativeDelta TRCumulativeDelta(Brush barColorDown, Brush barColorUp, Brush shadowColor, bool showCandlesShadow)
		{
			return indicator.TRCumulativeDelta(Input, barColorDown, barColorUp, shadowColor, showCandlesShadow);
		}


		
		public Indicators.TradingRevealed.TRCumulativeDelta TRCumulativeDelta(ISeries<double> input , Brush barColorDown, Brush barColorUp, Brush shadowColor, bool showCandlesShadow)
		{
			return indicator.TRCumulativeDelta(input, barColorDown, barColorUp, shadowColor, showCandlesShadow);
		}

	}
}

#endregion
